    /*
     * Copyright (c) 2004 on behalf of the EU EGEE Project: 
     * The European Organization for Nuclear Research (CERN), 
     * Istituto Nazionale di Fisica Nucleare (INFN), Italy
     * Datamat Spa, Italy
     * Centre National de la Recherche Scientifique (CNRS), France
     * CS Systeme d'Information (CSSI), France
     * Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
     * Universiteit van Amsterdam (UvA), Netherlands
     * University of Helsinki (UH.HIP), Finland
     * University of Bergen (UiB), Norway
     * Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
     *
     * Authors: Alberto Di Meglio <alberto.di.meglio@cern.ch>
     * Version info: $Id: JobAdTest.java,v 1.1 2005/03/11 16:21:53 eronchie Exp $
     * Release: $Name: glite-jdl-api-java_R_3_2_0_3 $
     *
     * Revision history:
     * $Log: JobAdTest.java,v $
     * Revision 1.1  2005/03/11 16:21:53  eronchie
     * Moved org.glite.wms.jdlj component in this new one
     *
     */

import org.glite.jdl.* ;

import junit.framework.TestCase;

/**
 * @author Alberto Di Meglio
 *
 * Unit test suite for JobAd
 */
public class JobAdTest extends TestCase {

    private JobAd jab;

    /**
     * Default public constructor
     */
    public JobAdTest() {
        super();
        // TODO Auto-generated constructor stub
    }

    /**
     * Public constructor
     */
    public JobAdTest(String name) {
        super(name);
        // TODO Auto-generated constructor stub
    }

    /**
     * setUp 
     */
    protected void setUp() {
        jab = new JobAd();
    }

    /**
     * tearDown 
     */
    protected void tearDown() {
    }

    public void testToSubmissionString() throws Exception {
        // Expected string
        String jaStringExpected = "[VirtualOrganisation=\"INFN\";";
        jaStringExpected += "Executable=\"/bin/echo\";";
        jaStringExpected += "Arguments=\"Hello World!\";";
        jaStringExpected += "StdOutput=\"test/org/glite/jdl/message.txt\";";
        jaStringExpected += "StdError=\"test/org/glite/jdl/stderr.log\";";
        jaStringExpected += "OutputSandbox=\"test/org/glite/jdl/message.txt\";";
        jaStringExpected += "Rank=(-other.GlueCEStateEstimatedResponseTime);";
        jaStringExpected += "Requirements=(member(\"ROOT\",other.GlueHostApplicationSoftwareRunTimeEnvironment)&&";
        jaStringExpected += "member(\"CHKPT\",other.GlueHostApplicationSoftwareRunTimeEnvironment));";
        jaStringExpected += "Type=\"job\";";
        jaStringExpected += "JobType=\"normal\";";
        jaStringExpected += "DefaultRank=(-other.GlueCEStateEstimatedResponseTime)]";

        // Failure message
        String jaStringFailMessage = "An error occurred in converting the JobAd instance to its single-line representation.";
        jaStringFailMessage += "\nExpected string is: " + jaStringExpected;

        // Read JobAd from file
        jab.fromFile("test/org/glite/jdl/jobad.jdl");

        // Convert JobAd to single-line representation
        String jaString = jab.toSubmissionString();
        jaStringFailMessage += "\nConverted string is: " + jaString;

        assertEquals(jaStringFailMessage,jaStringExpected,jaString);
    }
}
